<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: io_data.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('io__data_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">io_data.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="io__data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef IO_DATA_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define IO_DATA_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_mutex_8h.html">Mutex.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">class </span>IODevice_impl;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">class </span>io_data_impl;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">class </span>Object;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_data_type.html">   21</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="keyword">virtual</span> std::string GetDescription() <span class="keyword">const</span> =0;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="comment">//size in bytes</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">size_t</span> GetSize() <span class="keyword">const</span> =0;</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    };</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div>
<div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_dummy_type.html">   28</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_dummy_type.html">DummyType</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{<span class="keywordflow">return</span> 0;}</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;dummy&quot;</span>;};</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    };</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <span class="keyword">extern</span> <a class="code" href="classframework_1_1core_1_1_dummy_type.html">DummyType</a> dummyType;</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_scalar_type.html">   35</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a>(<span class="keywordtype">size_t</span> _size):size(_size) {}</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{<span class="keywordflow">return</span> size;}</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="keyword">virtual</span> std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;scalar&quot;</span>;};</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">private</span>:</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordtype">size_t</span> size;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    };</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_signed_integer_type.html">   44</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        <a class="code" href="classframework_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a>(<span class="keywordtype">size_t</span> sizeInBits):<a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a>(sizeInBits/8){}</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;int&quot;</span>+std::to_string(GetSize()*8)+<span class="stringliteral">&quot;_t&quot;</span>;};</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    };</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keyword">extern</span> <a class="code" href="classframework_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a> Int8Type;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">extern</span> <a class="code" href="classframework_1_1core_1_1_signed_integer_type.html">SignedIntegerType</a> Int16Type;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1_float_type.html">   52</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_float_type.html">FloatType</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a> {</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keyword">public</span>:</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <a class="code" href="classframework_1_1core_1_1_float_type.html">FloatType</a>():<a class="code" href="classframework_1_1core_1_1_scalar_type.html">ScalarType</a>(4){}</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        std::string GetDescription()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="stringliteral">&quot;float&quot;</span>;};</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    };</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keyword">extern</span> <a class="code" href="classframework_1_1core_1_1_float_type.html">FloatType</a> floatType;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1io__data.html">   69</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1core_1_1_mutex.html">Mutex</a> {</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classframework_1_1core_1_1_i_o_device.html">IODevice</a>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="keyword">friend</span> class ::IODevice_impl;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">friend</span> class ::io_data_impl;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <a class="code" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">io_data</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_object.html">Object</a>* parent,std::string name,<span class="keywordtype">int</span> n);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;            <span class="keyword">virtual</span> <a class="code" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">~io_data</a>();</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">SetDataTime</a>(<a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;            <a class="code" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> <a class="code" href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">DataTime</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            <span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a>* <a class="code" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">Prev</a>(<span class="keywordtype">int</span> n) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;            <span class="keyword">virtual</span> <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span>&amp;GetDataType() <span class="keyword">const</span> =0;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">AppendLogDescription</a>(std::string description, <a class="code" href="classframework_1_1core_1_1_data_type.html">DataType</a> <span class="keyword">const</span> &amp;datatype);</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">SetPtrToCircle</a>(<span class="keywordtype">void</span> **ptr);</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div>
<div class="line"><a name="l00147"></a><span class="lineno"><a class="line" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">  147</a></span>&#160;            <a class="code" href="classframework_1_1core_1_1io__data.html">io_data</a>* <a class="code" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">prev</a>;</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            <span class="keyword">virtual</span> <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span>* dst) <span class="keyword">const</span> =0;</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            io_data_impl *pimpl_;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    };</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="preprocessor">#endif // IO_DATA_H</span></div>
<div class="ttc" id="namespaceframework_1_1core_html_a556a09521d9b94e1c9f0bfe6744d611d"><div class="ttname"><a href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">framework::core::Time</a></div><div class="ttdeci">unsigned long long Time</div><div class="ttdoc">Time definition, in ns. </div><div class="ttdef"><b>Definition:</b> Object.h:49</div></div>
<div class="ttc" id="classframework_1_1core_1_1_float_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_float_type.html">framework::core::FloatType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:52</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_a5f765c0a062a096fc4a4e0b8ef924cae"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">framework::core::io_data::DataTime</a></div><div class="ttdeci">Time DataTime(void) const </div><div class="ttdoc">Data time. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="classframework_1_1core_1_1_dummy_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_dummy_type.html">framework::core::DummyType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:28</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_aa08b00b8f76a7bb14d7498e8e34649a2"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">framework::core::io_data::~io_data</a></div><div class="ttdeci">virtual ~io_data()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_signed_integer_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_signed_integer_type.html">framework::core::SignedIntegerType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:44</div></div>
<div class="ttc" id="classframework_1_1core_1_1_i_o_device_html"><div class="ttname"><a href="classframework_1_1core_1_1_i_o_device.html">framework::core::IODevice</a></div><div class="ttdoc">Abstract class for input/ouput system. </div><div class="ttdef"><b>Definition:</b> IODevice.h:35</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_a500e7488e41a484be23b29e13645cf8b"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">framework::core::io_data::io_data</a></div><div class="ttdeci">io_data(const Object *parent, std::string name, int n)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_data_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_data_type.html">framework::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:21</div></div>
<div class="ttc" id="classframework_1_1core_1_1_object_html"><div class="ttname"><a href="classframework_1_1core_1_1_object.html">framework::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:75</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_af4eca364240e1b754fa989bda9717d5a"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">framework::core::io_data::SetDataTime</a></div><div class="ttdeci">void SetDataTime(Time time)</div><div class="ttdoc">Set data time. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classframework_1_1core_1_1_scalar_type.html">framework::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:35</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_a9549e4e07891d29b00710b75d92bef0e"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">framework::core::io_data::Prev</a></div><div class="ttdeci">const io_data * Prev(int n) const </div><div class="ttdoc">Previous data. </div></div>
<div class="ttc" id="_mutex_8h_html"><div class="ttname"><a href="_mutex_8h.html">Mutex.h</a></div><div class="ttdoc">Class defining a mutex. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_mutex_html"><div class="ttname"><a href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></div><div class="ttdoc">Class defining a mutex. </div><div class="ttdef"><b>Definition:</b> Mutex.h:27</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_a12e0da00d9b0af3e7009f7c840d91272"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">framework::core::io_data::prev</a></div><div class="ttdeci">io_data * prev</div><div class="ttdoc">Pointer to previous data. </div><div class="ttdef"><b>Definition:</b> io_data.h:147</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_aecf70fbea0ef977062dd7146b9006490"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">framework::core::io_data::AppendLogDescription</a></div><div class="ttdeci">void AppendLogDescription(std::string description, DataType const &amp;datatype)</div><div class="ttdoc">Specify the description of the reimplemented class data&#39;s. </div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html_a65e6d218e3699bfbb7c8c958d85156bf"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">framework::core::io_data::SetPtrToCircle</a></div><div class="ttdeci">void SetPtrToCircle(void **ptr)</div><div class="ttdoc">Set the datas to circle. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="io__data_8h.html">io_data.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
